### experimental::channel_traits

    template<
        typename... Signatures>
    struct channel_traits

##### Types

Name | Description
--- | ---
container | Determine the container for the specified elements.
rebind | Rebind the traits to a new set of signatures.
receive_cancelled_signature | The signature of a channel cancellation notification.
receive_closed_signature | The signature of a channel closed notification.

##### Member Functions

Name | Description
--- | ---
invoke_receive_cancelled [static] | Invoke the specified handler with a cancellation notification.
invoke_receive_closed [static] | Invoke the specified handler with a closed notification.

##### Requirements

Header: `asio/experimental/channel_traits.hpp`

Convenience header: None